Corrupción de datos en dpkg

Al querer realizar un upgrade en ubuntu me aparece un mensaje:

sudo apt-get upgrade

E: dpkg was interrupted, you must manually run ‘dpkg –configure -a’ to correct the problem.

A lo que realizo el dpkg –configure -a y me aparece otro error:

sudo dpkg –configure -a

dpkg: error en el análisis, en el fichero /var/lib/dpkg/updates/0016′ cerca de la línea 1:
nueva línea dentro del nombre del campo #padding’

Y ahi es donde empiezan los problemas, busque en Internet y encontre que reemplazando el archivo status por status-old que esta dentro de /var/lib/dpkg chance y funcionaba, cuestion que nomas nunca se soluciono el problema.

La solución es muy simple, solo se tienen que eliminar los datos contenidos en la carpeta /var/lib/dpkg/updates claro siempre haciendo su debido respaldo por si las moscas.

Y listo ahora si se puede realizar un upgrade sin necesidad de desinstalar e instalar el dpkg.